<?php
require_once plugin_dir_path(__FILE__)."customtemplate/importador.php";
global $wpdb;
$charset = $wpdb->get_charset_collate();
$tabla = $wpdb->prefix.'niche_tabla';
//$wpdb->query("DROP TABLE IF EXISTS $tabla");
$wpdb->query("CREATE TABLE IF NOT EXISTS $tabla (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		GMapsLink varchar(255),
		OrganizationName varchar(255),
		RateStars varchar(25),
		ReviewsTotalCount int(4),
		OrganizationAddress varchar(255),
		municipio varchar(255),
		provincia varchar(255),
		cp varchar(10),
		pais varchar(255),
		OrganizationWebsite varchar(400),
		OrganizationPhoneNr varchar(100),
		OrganizationWorkTime text,
		OrganizationLatitude varchar(50),
		OrganizationLongitude varchar(50),
		OrganizationHeadPhotoURL varchar(400),
		OrganizationPhotosURLs text,
		OrganizationEmail varchar(255),
		ShareLink varchar(255),
		categoriapadre varchar(255),
		SearchRequest varchar(255),
		etiqueta varchar(255),
		EmbedMapCode text,
		metatitle varchar(255),
		metadesc varchar(255),
		h1 varchar(255),
		slug varchar(255),
		migapan varchar(255),
		lunes varchar(50),
		martes varchar(50),
		miercoles varchar(50),
		jueves varchar(50),
		viernes varchar(50),
		sabado varchar(50),
		domingo varchar(50),
		var1 text,
		var2 text,
		var3 text,
		var4 text,
		var5 text,
		var6 text,
		var7 text,
		var8 text,
		var9 text,
		var10 text,
		fecha date,
		gmapsid varchar(255),
		keyword varchar(255),
		escrapeo varchar(255),
		PRIMARY KEY(id)) $charset;");
$plantilla = plugin_dir_path(__FILE__)."template.xml";
if (file_exists($plantilla))
	$resultado = importar_posts_desde_xml(plugin_dir_path(__FILE__)."template.xml");
$plantillacat = plugin_dir_path(__FILE__)."templatecat.xml";
if (file_exists($plantillacat))
	$resultado2 = importar_postscat_desde_xml(plugin_dir_path(__FILE__)."templatecat.xml");
